Merge pull request #872 from edoapra/flaccid-fraction

updates for github action
This commit is contained in:
NWChem: Open Source High-Performance Computational Chemistry 2023-09-27 18:28:58 -07:00 committed by GitHub
commit 55658a6ebd
No known key found for this signature in database
GPG key ID: 4AEE18F83AFDEB23
2 changed files with 18 additions and 4 deletions

View file

@ -174,6 +174,15 @@ if [[ "$os" == "Linux" ]]; then
# sh ./"$hpc".sh -a -c -s --action remove --install-dir $IONEAPI_ROOT --eula accept
sh ./"$base".sh -a -c -s --action install --components intel.oneapi.lin.mkl.devel --install-dir $IONEAPI_ROOT --eula accept
if [[ "$?" != 0 ]]; then
df -h
echo "base kit install failed: exit code " "${?}"
exit 1
fi
rm -rf $IONEAPI_ROOT/mkl/latest/lib/ia32
rm -rf $IONEAPI_ROOT/mkl/latest/lib/intel64/*sycl*
rm -rf $IONEAPI_ROOT/mkl/latest/lib/intel64/*_pgi_*
rm -rf $IONEAPI_ROOT/mkl/latest/lib/intel64/*_gf_*
intel_components="intel.oneapi.lin.ifort-compiler:intel.oneapi.lin.dpcpp-cpp-compiler-pro"
if [[ "$MPI_IMPL" == "intel" ]]; then
intel_components+=":intel.oneapi.lin.mpi.devel"
@ -186,6 +195,7 @@ if [[ "$os" == "Linux" ]]; then
echo "hpc kit install failed: exit code " "${?}"
exit 1
fi
rm -rf $IONEAPI_ROOT/compiler/latest/linux/lib/oclfpga
rm -f ./"$hpc".sh ./"$base".sh
#Critical updates for 2023.2
# wget https://registrationcenter-download.intel.com/akdlm/IRC_NAS/0d65c8d4-f245-4756-80c4-6712b43cf835/l_fortran-compiler_p_2023.2.1.8.sh
@ -248,11 +258,12 @@ if [[ "$os" == "Linux" ]]; then
if [[ "$FC" == "nvfortran" ]]; then
$MYSUDO apt-get -y install lmod g++ libtinfo5 libncursesw5 lua-posix lua-filesystem lua-lpeg lua-luaossl
nv_major=23
nv_minor=3
nv_minor=7
nverdot="$nv_major"."$nv_minor"
nverdash="$nv_major"-"$nv_minor"
arch_dpkg=`dpkg --print-architecture`
echo 'deb [trusted=yes] https://developer.download.nvidia.com/hpc-sdk/ubuntu/'$arch_dpkg' /' | $MYSUDO tee /etc/apt/sources.list.d/nvhpc.list
curl https://developer.download.nvidia.com/hpc-sdk/ubuntu/DEB-GPG-KEY-NVIDIA-HPC-SDK | sudo gpg --yes --dearmor -o /usr/share/keyrings/nvidia-hpcsdk-archive-keyring.gpg
echo 'deb [signed-by=/usr/share/keyrings/nvidia-hpcsdk-archive-keyring.gpg] https://developer.download.nvidia.com/hpc-sdk/ubuntu/'$arch_dpkg' /' | sudo tee /etc/apt/sources.list.d/nvhpc.list
echo '*** added hpc-sdk source to /etc/aps ***'
ls -lrt /etc/apt/sources.list.d/ || true
ls -lrt /etc/apt/sources.list.d/nvhpc.list || true
@ -266,7 +277,10 @@ if [[ "$os" == "Linux" ]]; then
export PATH=/opt/nvidia/hpc_sdk/Linux_"$arch"/"$nverdot"/compilers/bin:$PATH
export LD_LIBRARY_PATH=/opt/nvidia/hpc_sdk/Linux_"$arch"/"$nverdot"/compilers/lib:$LD_LIBRARY_PATH
$MYSUDO /opt/nvidia/hpc_sdk/Linux_"$arch"/"$nverdot"/compilers/bin/makelocalrc -x
#clean stuff we do not use
$MYSUDO rm -rf /opt/nvidia/hpc_sdk/Linux_"$arch"/"$nverdot"/profilers
$MYSUDO rm -rf /opt/nvidia/hpc_sdk/Linux_"$arch"/"$nverdot"/comm_libs
$MYSUDO rm -rf /opt/nvidia/hpc_sdk/Linux_"$arch"/"$nverdot"/math_libs
export FC=nvfortran
export CC=gcc
nvfortran -V ;if [[ $? != 0 ]]; then echo "nvfortran install failed"; exit 1; fi

View file

@ -42,7 +42,7 @@ fi
if [[ "$FC" == "nvfortran" ]]; then
nv_major=23
nv_minor=3
nv_minor=7
nverdot="$nv_major"."$nv_minor"
export PATH=/opt/nvidia/hpc_sdk/Linux_"$arch"/"$nverdot"/compilers/bin:$PATH
export LD_LIBRARY_PATH=/opt/nvidia/hpc_sdk/Linux_"$arch"/"$nverdot"/compilers/lib:$LD_LIBRARY_PATH